## ros-dashing-stereo-image-proc 2.1.1

=== debian/changelog ===
ros-dashing-stereo-image-proc (2.1.1-1bionic) bionic; urgency=high

  * Bump test timeouts to 60 seconds (#594 <https://github.com/ros-perception/image_pipeline/issues/594>)
  * [Dashing] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>) (#575 <https://github.com/ros-perception/image_pipeline/issues/575>)
  * Contributors: Jacob Perron, Joshua Whitley

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Aug 2020 05:00:00 -0000

ros-dashing-stereo-image-proc (2.1.0-1bionic) bionic; urgency=high

  * Add parameter to avoid points2 padding (#524 <https://github.com/ros-perception/image_pipeline/issues/524>)
    * Add parameter to allow avoiding padding in the generated pointcloud message
    Co-authored-by: Jacob Perron <mailto:jacob@openrobotics.org>
    * Actually use the created parameter descriptor
    Co-authored-by: Jacob Perron <mailto:jacob@openrobotics.org>
  * Add parameter to use system default QoS for image subscriptions in stereo_image_proc (#521 <https://github.com/ros-perception/image_pipeline/issues/521>)
    * Add parameter for image subscription reliability QoS to point cloud node
    * Add parameter for image subscription reliability QoS to disparity node
    * Add argument for setting reliability QoS to stereo_image_proc launch file
    * Change parameter to use_system_default_qos
    * Only use system default QoS for subscriptions
  * Use sensor data QoS profile (#494 <https://github.com/ros-perception/image_pipeline/issues/494>)
  * Expand range for min_disparity and disparity_range (#495 <https://github.com/ros-perception/image_pipeline/issues/495>)
    Forward port of #431 <https://github.com/ros-perception/image_pipeline/issues/431>
  * Add reconfigurable parameters to disparity node (#490 <https://github.com/ros-perception/image_pipeline/issues/490>)
    * Add reconfigurable parameters to disparity node
    * Remove old dynamic reconfigure config file
  * Fix get/set speckle size methods (#491 <https://github.com/ros-perception/image_pipeline/issues/491>)
  * Port stereo_image_proc to ROS 2 (#486 <https://github.com/ros-perception/image_pipeline/issues/486>)
  * Initial ROS2 commit.
  * Contributors: Ivan Santiago Paunovic, Jacob Perron, Joshua Whitley, Kei Okada, Michael Carroll, Steven Macenski, Yoshito Okada, bknight-i3drobotics, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 27 Jul 2020 05:00:00 -0000

ros-dashing-stereo-image-proc (1.12.23-1bionic) bionic; urgency=high

  * Removed unused mutable scratch buffers (#315 <https://github.com/ros-perception/image_pipeline/issues/315>)
    The uint32_t buffers conflicted with newer release of OpenCV3, as explained here https://github.com/ros-perception/image_pipeline/issues/310
  * Contributors: Miquel Massot

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-dashing-stereo-image-proc (1.12.22-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-dashing-stereo-image-proc (1.12.21-1bionic) bionic; urgency=high

  * Updated fix for traits change. (#303 <https://github.com/ros-perception/image_pipeline/issues/303>)
  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Mike Purvis, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-dashing-stereo-image-proc (1.12.20-1bionic) bionic; urgency=high

  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-dashing-stereo-image-proc (1.12.19-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-dashing-stereo-image-proc (1.12.18-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-dashing-stereo-image-proc (1.12.17-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-dashing-stereo-image-proc (1.12.16-1bionic) bionic; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-dashing-stereo-image-proc (1.12.15-1bionic) bionic; urgency=high

  * simplify OpenCV3 conversion
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-dashing-stereo-image-proc (1.12.14-1bionic) bionic; urgency=high

  * add StereoSGBM and it can be chosen from dynamic_reconfigure
  * Contributors: Ryohei Ueda

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 05:00:00 -0000

ros-dashing-stereo-image-proc (1.12.13-1bionic) bionic; urgency=high

  * get code to compile with OpenCV3
  * modify pointcloud data format of stereo_image_proc using point_cloud2_iterator
  * Contributors: Hiroaki Yaguchi, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-dashing-stereo-image-proc (1.12.12-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Dec 2014 06:00:00 -0000


